Show / Hide Table of Contents

# Class HuffmanDecoder

##### Inheritance

Object
HuffmanDecoder

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)
Object.ToString()

###### Namespace: Titanium.Web.Proxy.Http2.Hpack

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class HuffmanDecoder

### Fields

| Improve this Doc View Source

#### Instance

Huffman Decoder

##### Declaration

    public static readonly HuffmanDecoder Instance

##### Field Value

Type | Description
--- | ---
HuffmanDecoder |

### Methods

| Improve this Doc View Source

#### Decode(Byte[])

Decompresses the given Huffman coded string literal.

##### Declaration

    public string Decode(byte[] buf)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | buf | the string literal to be decoded

##### Returns

Type | Description
--- | ---
String | the output stream for the compressed data

##### Exceptions

Type | Condition
--- | ---
IOException | throws IOException if an I/O error occurs. In particular, an
    IOException
may be thrown if the output stream has been closed.